## ros-melodic-khi-rs007n-moveit-config 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_rs007n_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_moveit_rs007n.xml)
endif()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY script DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS )

=== debian/changelog ===
ros-melodic-khi-rs007n-moveit-config (1.4.0-2bionic) bionic; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (1.3.0-2bionic) bionic; urgency=high

  * Merge pull request #52 <https://github.com/Kawasaki-Robotics/khi_robot/issues/52> from k-okada/add_ikfast_plugin
    add khi_*_ikfast_plugin to moveit_config
  * add khi_*_ikfast_plugin to moveit_config
  * Contributors: HirokiTakami, Kei Okada

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (1.2.0-2bionic) bionic; urgency=high

  * Add joint_limits_interface (#31)
    * Add joint_limits_interface
    * Move joint_limits.yaml from moveit_config to description
    * Modify test messages and conditions in test_position_velocity
    * Change duAro's figure length
    * Move tests from khi_robot_control to khi_robot_test
  * Contributors: Daisuke NAKAMICHI

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (1.1.2-2bionic) bionic; urgency=high

  * add USE_SOURCE_PERMISSIONS in CMakeLists.txt files those package have executable scripts (#18 <https://github.com/Kawasaki-Robotics/khi_robot/issues/18>)
  * Contributors: Yosuke Yamamoto

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (1.1.1-2bionic) bionic; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (1.1.0-2bionic) bionic; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert rs007n_* to khi_rs007n_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (1.0.0-2bionic) bionic; urgency=high

  * Refactoring
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (0.9.4-2bionic) bionic; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (0.9.3-2bionic) bionic; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-melodic-khi-rs007n-moveit-config (0.9.2-2bionic) bionic; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-khi-rs007n-moveit-config
Section: misc
Priority: optional
Maintainer: matsui_hiro <matsui_hiro@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-khi-rs-description, ros-melodic-roslaunch, ros-melodic-rostest
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-khi-rs007n-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-khi-rs-description, ros-melodic-khi-rs-ikfast-plugin, ros-melodic-moveit-fake-controller-manager, ros-melodic-moveit-kinematics, ros-melodic-moveit-planners-ompl, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-visualization, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-tf, ros-melodic-xacro
Description: An automatically generated package with all the configuration and launch files for using the khi_rs007n with the MoveIt! Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-khi-rs007n-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
